<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'fagrupadores';
  	var  $codigo = '0';
	var  $descripcion = '0';
	var  $n_reg = '0';
	var  $tip_ven = '0';
	//var  $modulo = '0';
	var  $np_desc1 = '0';
	//var  $des_cor = '0';
	var  $ubicacion = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	//var  $fac_rend = '0';
	var  $status = '0';
	var  $lastInsId = '0';
	var  $t1 = '0';

//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (n_reg, np_desc1, ubicacion, acc_fec, acc_hor, usuario, codigo, descripcion, t1) values ('$this->n_reg', '$this->np_desc1', 'V', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['usuario']."', '$this->codigo', '$this->descripcion', '$this->t1')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = '".$_POST['pos_pun_ven']."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select n_reg from fagrupadores order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET np_desc1='$this->np_desc1', ubicacion='V',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['usuario']."',cod_var='$this->cod_var', codigo='$this->codigo', descripcion='$this->descripcion', t1='$this->t1', paso='$this->paso' where n_reg ='$n_reg'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	} 
	
	 
	function lista_pr(){
            $vpt=(isset($_POST['tbus']))?$_POST['tbus']:"";
		$sql= "SELECT 
		 
		 $this->nom_tabla.n_reg as nReg,
		 $this->nom_tabla.codigo as coDiGo,
		 $this->nom_tabla.np_desc1 as agruPaDor,
		 $this->nom_tabla.t1 as sTaTus,
		 falmacen.np_desc1 as alMaCen
		 
		 FROM $this->nom_tabla 
		 
		 LEFT JOIN falmacen ON falmacen.nparte1=$this->nom_tabla.descripcion
		 
		 WHERE $this->nom_tabla.np_desc1 like '%".$vpt."%' AND $this->nom_tabla.t1='ACTIVO'
		 
		 ORDER BY $this->nom_tabla.np_desc1";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
                 
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	} 
	  
}       
?>